#include "mbed.h"

/*BusOut display(dp2, dp1, dp28, dp6, dp5, dp27, dp26);
BusOut digits(dp23,dp24,dp25);

DigitalOut point(dp4);*/

BusOut display(dp26, dp27, dp5, dp6, dp28, dp1, dp2);
DigitalOut point(dp4);
int numbers[10]={0x40,0x79,0x24,0x30,0x19,0x12,0x02,0x078,0x0,0x10};
int chars[6]={0x08,0x60,0x31,0x42,0x30,0x38};
BusOut digits(dp23,dp24,dp25);

AnalogIn input(dp9);

/*int numbers[10] = {0x01, 0x4f, 0x12, 0x06, 0x4c, 0x24, 0x20, 0x0f, 0x0, 0x04};
int chars[6]={0x08,0x60,0x31,0x42,0x30,0x38};
*/
void showDigit(int input)
{
    if(input>=0 && input<=9)
        display=numbers[input];
    else
        display=0x7f;
}


void displayValue(float value)
{
    int third=(value-int(value))*10;
    int second=int((value-int(value))*100)%10;
    int first=int(value);
    
    digits=6;//bilo  = 1
    showDigit(first);
    point=0;
    wait_ms(1);
    point=1;
    digits=7;
    
    showDigit(second);    
    digits=5;
 
    wait_ms(1);

    
    digits=7;
    showDigit(third);
    digits=3;//bilo = 4
    wait_ms(1);
    digits=0;  
}



float unesi_niz()
{
    
    float sum=0;
    for(int i=0;i<100;i++)
        sum+=input*3.3;
    return sum;
}


int main() {
    int i=0;
    float ain=3.3;
    while(1) {
        if(i%100==0)
        ain=input*3.3;
        displayValue(ain);
        i++;
    }
}
